<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddStoreIdToProductSchedule extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_schedule', function (Blueprint $table) {
            $table->integer('store_id')->comment('店铺ID');
            $table->date('holiday_start')->nullable()->comment('休假开始时间');
            $table->date('holiday_end')->nullable()->comment('休假结束时间');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_schedule', function (Blueprint $table) {
            //
        });
    }
}
